#!/bin/sh

name="ttmkfdir"
title="ttmkfdir"
package="ttmkfdir"
version="1"
build="1"
noarch="n"
build_info="Standard build."

info="Creates fonts.dir for TrueType fonts."
desc="ttmkfdir is a tool to create valid and complete fonts.dir
files from TrueType fonts. It is very useful when you plan
to use a TrueType enabled font server that is based on the
X11R6 sample implementation (xfsft for instance). Great care
has been taken to correctly identify the encodings that a
given TrueType font supports."
category="config/x11"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.intersec.pl/~swiergot/$name.tar.gz .

apply_patch ttmkfdir-makefile.pw.patch
cp $src_pkg/ttmkfdir.1 $src1

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_make
do_install

make_docs

make_package main

clean_up

# $Log: ttmkfdir.builder,v $
# Revision 1.4  2002/12/26 00:00:22  swiergot
# - Touched to force building.
#
# Revision 1.3  2002/12/25 23:49:09  swiergot
# - Build 1.
#
# Revision 1.2  2002/12/25 23:36:11  swiergot
# - Fixed a mistake that version was 0 and build was 1, but should back to
#   front.
#
# Revision 1.1  2002/12/25 23:26:56  swiergot
# - Initial release.
# - Version 1.
#
